{#
    agogo/layout.html
    ~~~~~~~~~~~~~~~~~

    Sphinx layout template for the agogo theme, originally written
    by Andi Albrecht.

    :copyright: Copyright 2007-2010 by the Sphinx team, see AUTHORS.
    :license: BSD, see LICENSE for details.
#}
{% extends "basic/layout.html" %}

{% block header %}
    <div class="header-wrapper">
      <div class="header">
        {%- if logo %}
          <p class="logo"><a href="{{ pathto(master_doc) }}">
            <img class="logo" src="{{ pathto('_static/' + logo, 1) }}" alt="Logo"/>
          </a></p>
        {%- endif %}
        {%- block headertitle %}
        <h1><a href="{{ pathto(master_doc) }}">{{ shorttitle|e }}</a></h1>
        {%- endblock %}
        <div class="rel">
          {%- for rellink in rellinks %}
          <a href="{{ pathto(rellink[0]) }}" title="{{ rellink[1]|striptags|e }}"
             {{ accesskey(rellink[2]) }}>{{ rellink[3] }}</a>
          {%- if not loop.last %}{{ reldelim2 }}{% endif %}
          {%- endfor %}
        </div>
       </div>
    </div>
{% endblock %}

{% block content %}
    <div class="content-wrapper">
      <div class="content">
        <div class="document">
          {%- block document %}
            {{ super() }}
          {%- endblock %}
        </div>
        <div class="sidebar">
          {%- block sidebartoc %}
          <h3>{{ _('Table Of Contents') }}</h3>
          {{ toctree() }}
          {%- endblock %}
          {%- block sidebarsearch %}
          <h3 style="margin-top: 1.5em;">{{ _('Search') }}</h3>
          <form class="search" action="{{ pathto('search') }}" method="get">
            <input type="text" name="q" size="18" />
            <input type="submit" value="{{ _('Go') }}" />
            <input type="hidden" name="check_keywords" value="yes" />
            <input type="hidden" name="area" value="default" />
          </form>
          <p class="searchtip" style="font-size: 90%">
            {{ _('Enter search terms or a module, class or function name.') }}
          </p>
          {%- endblock %}
        </div>
        <div class="clearer"></div>
      </div>
    </div>
{% endblock %}

{% block footer %}
    <div class="footer-wrapper">
      <div class="footer">
        <div class="left">
          {%- for rellink in rellinks %}
          <a href="{{ pathto(rellink[0]) }}" title="{{ rellink[1]|striptags|e }}"
             {{ accesskey(rellink[2]) }}>{{ rellink[3] }}</a>
          {%- if not loop.last %}{{ reldelim2 }}{% endif %}
          {%- endfor %}
          {%- if show_source and has_source and sourcename %}
            <br/>
            <a href="{{ pathto('_sources/' + sourcename, true)|e }}"
               rel="nofollow">{{ _('Show Source') }}</a>
          {%- endif %}
        </div>

        <div class="right">
          {{ super() }}
        </div>
        <div class="clearer"></div>
      </div>
    </div>
{% endblock %}

{% block relbar1 %}{% endblock %}
{% block relbar2 %}{% endblock %}
